Class | PhusionPassenger::WSGI::ApplicationSpawner
In: | lib/phusion_passenger/wsgi/application_spawner.rb
Parent: | Object

Class for spawning WSGI applications.

### Methods

spawn_application spawn_application

### Included Modules

Utils

### Constants

REQUEST_HANDLER | = | File.expand_path(File.dirname(__FILE__) + "/request_handler.py")

### Public Class methods

spawn_application(*args)

### Public Instance methods

spawn_application(options)

Spawn an instance of the given WSGI application. When successful, an Application object will be returned, which represents the spawned application.

Raises:

- AppInitError: The WSGI application raised an exception or called exit() during startup.
- SystemCallError, IOError, SocketError: Something went wrong.

[Validate]